html, body {
	margin: 0;
	padding: 0;
}

body {
	background: rgb(23, 20, 14);
	color: white;
	--thumb-size: 150px;
	margin: 25px;
}

body.has-overlay {
	overflow: hidden;
}

header {
	overflow: hidden;
}

header img {
	display: block;
	margin: auto;
	width: 75vw;
	max-width: 500px;
}

header p {
	font-family: sans-serif;
	text-align: center;
}

h1 {
	text-align: center;
	color: #ff7400;
	font-size: 8em;
    font-family: impact;
    text-transform: uppercase;
	rotate: -11deg;
	width: 100%;

    z-index: 1;
	top: -30px;
}

@media (width < 500px) {
	body {
		--thumb-size: 120px;
	}

	h1 {
		font-size: 4em;
		margin: 0.1em 0;
	}
}

h2 {
	text-align: center;
	margin: 3em 0 1em;
}

article {
	color: #ff7800;
    font-family: Futura;
    font-size: 2em;
	margin-top: 9em;
}

main {
    font-family: Futura;
}

.photo-gallery {
	display: flex;
	flex-wrap: wrap;

	/* display: grid;
	grid-template-columns: repeat(auto-fill, var(--thumb-size));
	grid-template-rows: repeat(auto-fill, var(--thumb-size)); */
	gap: 25px;
	justify-content: center;
}

.photo-gallery a {
	margin: 0;
	padding: 0;
	width: var(--thumb-size);
	height: var(--thumb-size);
	overflow: hidden;
}

.photo-gallery img {
	display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
    transform-origin: center 0;
    scale: 1.2;
}

#overlay {
	display: grid;
	position: fixed;
	inset: 0;
	background: #000000d8;
}

#overlay[hidden] {
	display: none;
}

#overlay-content {
	position: absolute;
	inset: 0;
}

#overlay img {
	display: block;
	width: 100%;
    height: 100%;
    object-fit: contain;
}

#overlay-controls {
	display: grid;
    grid-template-columns: auto auto;
    justify-content: space-between;
	align-items: center;

	position: relative;
	z-index: 1;
	pointer-events: none;
}

#overlay-controls button {
	pointer-events: all;
	background: transparent;
	font-size: 2em;
	color: white;
	cursor: pointer;
	border: 0;
	padding: 1em;
	opacity: 0.5;
	transition: opacity 0.15s;
	user-select: none;
}

#overlay-controls button:hover {
	opacity: 1;
}

#close {
	position: absolute;
	top: 0;
	right: 0;
	padding: 10px;

	user-select: none;
}

#close:active {
	color: white;
}